using DevExpress.Xpo;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;
using System.ComponentModel;
using System;

namespace Nuvolar.Module.CSharp
{
    [DefaultClassOptions,NavigationItem(false),CreatableItem(false)]
    
    public class GanttAppointments : XPLiteObject
    { 
        public GanttAppointments(Session session)
            : base(session)
        {
        }
        public override void AfterConstruction()
        {
            base.AfterConstruction();
            
        }
        private int _TType;
        private DateTime _StartDate;
        private DateTime _EndDate;
        private bool _AllDay;
        private string _Subject;
        private string _Location;
        private string _Description;
        private bool _Status;
        private int _Label;
        private int _ResourceId;
        private string _ResourceIds;
        private string _ReminderInfo;
        private string _RecurrenceInfo;
        private int _PercentComplete;
        private string _TimeZoneId;
        private string _CustomField1;

        

        [Key(AutoGenerate = true), Browsable(false)]
        public int UniqueId { get; set; }

        public int TType
        {
           get { return _TType; }
           set { SetPropertyValue("TType", ref _TType, value); }
        }
        public DateTime StartDate
        {
            get { return _StartDate; }
            set { SetPropertyValue("StartDate", ref _StartDate, value); }
        }
        public DateTime EndDate
        {
            get { return _EndDate; }
            set { SetPropertyValue("EndDate", ref _EndDate, value); }
        }
        public bool AllDay
        {
            get { return _AllDay; }
            set { SetPropertyValue("AllDay", ref _AllDay, value); }
        }
        [Size(-1)]
        public string Subject
        {
            get { return _Subject; }
            set { SetPropertyValue("Subject", ref _Subject, value); }
        }
        [Size(-1)]
        public string Location
        {
            get { return _Location; }
            set { SetPropertyValue("Location", ref _Location, value); }
        }
        [Size(-1)]
        public string Description
        {
            get { return _Description; }
            set { SetPropertyValue("Description", ref _Description, value); }
        }
        public bool Status
        {
            get { return _Status; }
            set { SetPropertyValue("Status", ref _Status, value); }
        }
        public int Label
        {
            get { return _Label; }
            set { SetPropertyValue("Label", ref _Label, value); }
        }
        public int ResourceId
        {
            get { return _ResourceId; }
            set { SetPropertyValue("ResourceId", ref _ResourceId, value); }
        }
        [Size(-1)]
        public string ResourceIds
        {
            get { return _ResourceIds; }
            set { SetPropertyValue("ResourceIds", ref _ResourceIds, value); }
        }
        [Size(-1)]
        public string ReminderInfo
        {
            get { return _ReminderInfo; }
            set { SetPropertyValue("ReminderInfo", ref _ReminderInfo, value); }
        }
        [Size(-1)]
        public string RecurrenceInfo
        {
            get { return _RecurrenceInfo; }
            set { SetPropertyValue("RecurrenceInfo", ref _RecurrenceInfo, value); }
        }
        public int PercentComplete
        {
            get { return _PercentComplete; }
            set { SetPropertyValue("PercentComplete", ref _PercentComplete, value); }
        }
        [Size(-1)]
        public string TimeZoneId
        {
            get { return _TimeZoneId; }
            set { SetPropertyValue("TimeZoneId", ref _TimeZoneId, value); }
        }
        [Size(-1)]
        public string CustomField1
        {
            get { return _CustomField1; }
            set { SetPropertyValue("CustomField1", ref _CustomField1, value); }
        }


    }
}